#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i, j, br=0, brb = 0;
    int nBrojac = 0;
    int a[100];
    int resenje[100];
    int b[100];
    scanf("%d", &n);
    scanf("%d", &k);
    /*for(i = -n; i <= n; i++)
    {
        a[br] = i;
        br++;
    }*/
    for(i = 0;i < n;i++)
    {
        scanf("%d", &b[i]);
    }
    for(i = 0; i < n; i++)
    {
        nBrojac = 0;
        for(j = 0; j < n; j++)
        {
            if(b[i] == b[j] && j<i)
            {
                break;
            }
            else
            {
            if(b[i] == b[j])
            {
                nBrojac++;
            }
            }
        }
        if(nBrojac > 1)
            {
                resenje[brb] = b[i];
                brb++;
            }
    }
    printf("%d \n", brb);

    for(i = 0; i < brb;i++)
    {
        printf("%d ", resenje[i]);
    }
}